require File.expand_path(File.dirname(__FILE__) + '/../spec_helper')

describe Pokan::Network do

  context 'when sending via UDP' do

    it 'should send the message' do
      Pokan::Network.udp('dummy', '127.0.0.1', 7777).should be_true
    end

  end

  context 'when sending a message via TCP without a server to accept it' do

    it 'should not send the message' do
      Pokan::Network.tcp('dummy', '127.0.0.1', 7777).should be_false
    end

  end

  context 'when sending a message via TCP with a server accepting' do

    before { @server = TCPServer.open(7777) }
    after { @server.close }

    it 'should send the message' do
      Pokan::Network.tcp('dummy', '127.0.0.1', 7777).should be_true
    end

  end

end
